/* Resetando todos os estilos padrão */
*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: inherit;
  font-size: inherit;
  line-height: inherit;
}

html, body {
  width: 100%;
  height: 100%;
  overflow-x: hidden; /* Impede rolagem horizontal */
}

/* Estilos para o tema escuro */
html[data-theme="dark"] .containerA {
  background-color: #1b1b1d;  /* Cor do texto para o tema escuro */
}
.containerA {
    margin-left: 0rem;
    margin-right: 0rem;
    margin-bottom: 0rem;
    margin-top: 0rem;
    text-align: center;
    width: 100%;
    background-color: rgba(243, 241, 229, 0.8);
}

.fotoMembro img {
    display: block;             /* Permite centralizar a imagem com margin auto */
    margin: 0 auto;             /* Centraliza horizontalmente a imagem */
    padding: 1rem;              /* Espaço interno em volta da imagem */
    max-width: 24rem;           /* Largura máxima */
    max-height: 24rem;          /* Altura máxima */
    width: 18rem;                /* Largura relativa à viewport */
    height: 18rem;               /* Altura relativa à viewport */
    border-radius: 7%;         /* Torna a imagem circular */
}


.descricaoMembro {
    text-align: center;
    font-size: 15px;
    font-weight: 370;
    color: #17200f;
    margin-top: 8px;
  }


.Icons {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 0.1rem; /* Controla o espaçamento entre os ícones */
  }
  
  .Icons img {
    margin: 0 0.5rem;
    padding: 0.5rem;
    width: 3.5rem;
    height: 3.5rem;
    object-fit: contain; /* Redimensiona a imagem para caber dentro do container sem cortá-la */
    min-width: 30px;  /* Tamanho mínimo para garantir visibilidade */
    min-height: 30px;  /* Tamanho mínimo para garantir visibilidade */
    max-width: 100px;  /* Limite máximo de tamanho em telas grandes */
    max-height: 100px;  /* Limite máximo de tamanho em telas grandes */
  }


@media (max-width: 480px) {
    .fotoMembro img {
        width: 12rem;
        height: 12rem;
    }
}
@media (max-width: 320px) {
    .fotoMembro img {
        width: 9rem;
        height: 9rem;
    }
}